Encourage answering older questions

Bug #393403 reported by Tom on 2009-06-29
42
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
Low
Unassigned

Bug Description

Hi

Problem.
Launchpad has no way of dealing with questions that are more than a few hours old. Many questions still remain unanswered and 'open' even tho we have the skills to solve them. This damages Linux's reputation as well as just Ubuntu's. It also forces people to repost questions that may be half-way answered or to stop using Ubuntu.

On a football field not all the players are placed in 'striker' positions, some are further back and some even play in 'defence' and one even right back in the goal! Compare with other team games. Also riot police tend to have some units behind their front line of shields. Soldiers in the field tend to have some troops behind those engaged on the front-line. Firemen don't all rush inside a burning building, some will stand outside with hoses. Stewards at a concert are not all at the front-door/gate.

Possible answers. - A 2nd line of defence.

2 or 3 answerers getting higher karma for solving questions over a day old

Answer still unsolved after 2days getting flagged or bumped

Launchpad janitor having
"https://help.ubuntu.com/community/HowToGetHelp"
added to it's message.

Revision history for this message
Curtis Hovey (sinzui) wrote :

I dont think offering more karma based on the age of the open question is a valid approach. Karma intended to measure activity. It is not a very good reward system, nor is every user of Launchpad interested in karma.

Launchpad developer take turns answering the questions, and we work very hard to close the older questions. The problem we have observed is that they are not prominent in the list of questions. It is also not clear from the list if someone is helping to answer the question.

Changed in launchpad-answers:
importance: Undecided → Low
status: New → Triaged
summary: - No answers after a few hours
+ Encourage answering older questions
tags: added: confusing-ui
Revision history for this message
Tom (tom6) wrote :

Thanks Chris :)

Of the possible answers i suggested that leaves flagging or bumping questions somehow and also changing the Launchpad janitor's answer to be a little less unhelpful by adding "https://help.ubuntu.com/community/HowToGetHelp" to it's message. I'm sure other people could come up with other ideas too.

Flagging could be explored using this detailing of a traffic-light system
https://bugs.launchpad.net/launchpad-answers/+bug/324794/comments/1

The problem is not caused by a lack of work and people being slack - far from it! A phenomenal amount of work is being done and not just by developers. The cause is a combination of 3 factors; launchpad janitors message, the way questions expire and the lack of functionality in launchpad to easily look up questions that have remained unsolved after 5 days (going with the detail of the traffic-light suggestion as an example). People are unable to adopt positions in defence or fall-back positions and there's only so much that can usefully be done in 'striker' positions.

If my answering a question means that a developer wont also try to help that person then i should definitely stop answering and we should stop anyone else from answering unless they have proved that they can solve the problem! The times that launchpad really gets it right (with long-running questions) seem to be the few times when more than one person helps and ideas get bounced around or when a quick response from a very techie type gets detailed out by someone else without the technical skill but able to talk to the user using words they are more likely to understand.

Karma points are possibly more highly valued than makes much sense given how useful they are. They are good fun to play for and a good way of realising how much one has done - although mine got exaggerated ridiculously quite early but then i have put in a fair bit of time too. Anyway they are valued even if they aren't worth much ;)

Thanks for your response Chris. I hope i was able to clarify things a bit there.
Good luck and regards from
Tom :)

Revision history for this message
Tom (tom6) wrote :

Now that launchpad is OpenSource could i help re-word Janitors message? I have no idea how to get involved with that.

Revision history for this message
ryanehill (mail-ryan-hill) wrote : Re: [Bug 393403] Re: Encourage answering older questions

And how does this help me?
Sounds like an analogy story. Wow, this is Unbuntu, awesome.

On Mon, Jul 27, 2009 at 3:18 PM, Tom <email address hidden> wrote:

> Now that launchpad is OpenSource could i help re-word Janitors message?
> I have no idea how to get involved with that.
>
> --
> Encourage answering older questions
> https://bugs.launchpad.net/bugs/393403
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Launchpad Answers: Triaged
>
> Bug description:
> Hi
>
> Problem.
> Launchpad has no way of dealing with questions that are more than a few
> hours old. Many questions still remain unanswered and 'open' even tho we
> have the skills to solve them. This damages Linux's reputation as well as
> just Ubuntu's. It also forces people to repost questions that may be
> half-way answered or to stop using Ubuntu.
>
> On a football field not all the players are placed in 'striker' positions,
> some are further back and some even play in 'defence' and one even right
> back in the goal! Compare with other team games. Also riot police tend to
> have some units behind their front line of shields. Soldiers in the field
> tend to have some troops behind those engaged on the front-line. Firemen
> don't all rush inside a burning building, some will stand outside with
> hoses. Stewards at a concert are not all at the front-door/gate.
>
> Possible answers. - A 2nd line of defence.
>
> 2 or 3 answerers getting higher karma for solving questions over a day old
>
> Answer still unsolved after 2days getting flagged or bumped
>
> Launchpad janitor having
> "https://help.ubuntu.com/community/HowToGetHelp"
> added to it's message.
>

--
Ryan Hill
303-931-1343

Revision history for this message
Curtis Hovey (sinzui) wrote :

Hi Tom.

Now that answer contacts can assign questions, this bug can be made irreverent by procedures. Of course this is an assumption that someone can help (which is the same assumption as this bug).

Get a copy of rocketfuel (http://dev.launchpad.net/Getting)
Update lp.answers.scripts.questionexpiration and its tests.
Sign the Launchpad contributor's agreement.
Submit your change for review. (I can review it)

I can help you make changes.

Revision history for this message
ryanehill (mail-ryan-hill) wrote :

Can you remove me from the bug list, thanks. I am getting way too many
emails and am done with Unbuntu for now.
Have a good day.

On Mon, Jul 27, 2009 at 3:18 PM, Tom <email address hidden> wrote:

> Now that launchpad is OpenSource could i help re-word Janitors message?
> I have no idea how to get involved with that.
>
> --
> Encourage answering older questions
> https://bugs.launchpad.net/bugs/393403
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Launchpad Answers: Triaged
>
> Bug description:
> Hi
>
> Problem.
> Launchpad has no way of dealing with questions that are more than a few
> hours old. Many questions still remain unanswered and 'open' even tho we
> have the skills to solve them. This damages Linux's reputation as well as
> just Ubuntu's. It also forces people to repost questions that may be
> half-way answered or to stop using Ubuntu.
>
> On a football field not all the players are placed in 'striker' positions,
> some are further back and some even play in 'defence' and one even right
> back in the goal! Compare with other team games. Also riot police tend to
> have some units behind their front line of shields. Soldiers in the field
> tend to have some troops behind those engaged on the front-line. Firemen
> don't all rush inside a burning building, some will stand outside with
> hoses. Stewards at a concert are not all at the front-door/gate.
>
> Possible answers. - A 2nd line of defence.
>
> 2 or 3 answerers getting higher karma for solving questions over a day old
>
> Answer still unsolved after 2days getting flagged or bumped
>
> Launchpad janitor having
> "https://help.ubuntu.com/community/HowToGetHelp"
> added to it's message.
>

--
Ryan Hill
303-931-1343

Revision history for this message
robert (raweinstein) wrote :
Download full text (3.5 KiB)

My question was solved already and I said so accordingly. So I really
don't understand your point here.

  ----- Original Message -----
  From: ryanehill
  To: <email address hidden>
  Subject: Re: [Bug 393403] Re: Encourage answering older questions
  Date: Mon, 27 Jul 2009 22:42:46 -0000

  And how does this help me?
  Sounds like an analogy story. Wow, this is Unbuntu, awesome.

  On Mon, Jul 27, 2009 at 3:18 PM, Tom wrote:

  > Now that launchpad is OpenSource could i help re-word Janitors
  message?
  > I have no idea how to get involved with that.
  >
  > --
  > Encourage answering older questions
  > https://bugs.launchpad.net/bugs/393403
  > You received this bug notification because you are a direct
  subscriber
  > of the bug.
  >
  > Status in Launchpad Answers: Triaged
  >
  > Bug description:
  > Hi
  >
  > Problem.
  > Launchpad has no way of dealing with questions that are more than a
  few
  > hours old. Many questions still remain unanswered and 'open' even
  tho we
  > have the skills to solve them. This damages Linux's reputation as
  well as
  > just Ubuntu's. It also forces people to repost questions that may
  be
  > half-way answered or to stop using Ubuntu.
  >
  > On a football field not all the players are placed in 'striker'
  positions,
  > some are further back and some even play in 'defence' and one even
  right
  > back in the goal! Compare with other team games. Also riot police
  tend to
  > have some units behind their front line of shields. Soldiers in the
  field
  > tend to have some troops behind those engaged on the front-line.
  Firemen
  > don't all rush inside a burning building, some will stand outside
  with
  > hoses. Stewards at a concert are not all at the front-door/gate.
  >
  > Possible answers. - A 2nd line of defence.
  >
  > 2 or 3 answerers getting higher karma for solving questions over a
  day old
  >
  > Answer still unsolved after 2days getting flagged or bumped
  >
  > Launchpad janitor having
  > "https://help.ubuntu.com/community/HowToGetHelp"
  > added to it's message.
  >

  --
  Ryan Hill
  303-931-1343

  --
  Encourage answering older questions
  https://bugs.launchpad.net/bugs/393403
  You received this bug notification because you are a direct
  subscriber
  of a duplicate bug.

  Status in Launchpad Answers: Triaged

  Bug description:
  Hi

  Problem.
  Launchpad has no way of dealing with questions that are more than a
  few hours old. Many questions still remain unanswered and 'open'
  even tho we have the skills to solve them. This damages Linux's
  reputation as well as just Ubuntu's. It also forces people to
  repost questions that may be half-way answered or to stop using
  Ubuntu.

  On a football field not all the players are placed in 'striker'
  positions, some are further back and some even play in 'defence'
  and one even right back in the goal! Compare with other team
  games. Also riot police tend to have some units behind their front
  line of shields. Soldiers in the field tend to have some troops
  behind those engaged on the front-line. Firemen don't all rush
  inside a burning building, some will stand outside with hoses.
  Stewards at a concert are not ...

Read more...

Revision history for this message
Tom (tom6) wrote :

Hi

The point is that if you seek help with Ubuntu through Launchpad then your question could easily be missed and receive no answer.

It's good to see that some people have found an answer from elsewhere but Launchpad is listed as the main place to get help with Ubuntu. It's also good to see that some people don't anticipate having any even minor issues they might want resolved. If getting an email or two occasionally is too much trouble then please use this link
https://bugs.launchpad.net/bugs/393403
and then near the top right-hand side of the page click on "unsubscribe".

If anyone does want to have a better chance of getting their future questions completely resolved rather than just being abandoned as all these questions were then please bear with us or perhaps even help us to fix this by suggesting possible improvements.

A lot of people put a lot of their spare time into volunteering to help in this answers forum but at the moment their work can only be focussed on the very newest of questions. Many volunteers can't promise to be the 'assigned answerer' because that is making a promise to be able to solve any side-issues that may crop up, or changes in direction if the initial problem is caused by something else and also is a promise that work or family commitments wont take precedence over the voluntary work in here. Not everyone is available all the time and knows everything about ubuntu so should we stop answering those questions we can help with?

I am glad you managed to get your answer fixed (if you did) and that you think you'll have no further need of launchpad. But if you do have any other issues in the future then wouldn't you like to know that somewhere could help you fix it faster?

Thanks and regards from
Tom :)

Revision history for this message
robert (raweinstein) wrote :
Download full text (3.7 KiB)

 My questions were solved very fast and I responded so. Why do I keep on
getting these E-mails pertaining to questions not being answered or
finding out solutions elsewhere?? The football game is over and Ubuntu is
the clear winner.

  ----- Original Message -----
  From: Tom
  To: <email address hidden>
  Subject: [Bug 393403] Re: Encourage answering older questions
  Date: Tue, 28 Jul 2009 08:36:52 -0000

  Hi

  The point is that if you seek help with Ubuntu through Launchpad then
  your question could easily be missed and receive no answer.

  It's good to see that some people have found an answer from
  elsewhere but Launchpad is listed as the main place to get help
  with Ubuntu. It's also good to see that some people don't
  anticipate having any even minor issues they might want resolved.
  If getting an email or two occasionally is too much trouble then
  please use this link
  https://bugs.launchpad.net/bugs/393403
  and then near the top right-hand side of the page click on
  "unsubscribe".

  If anyone does want to have a better chance of getting their future
  questions completely resolved rather than just being abandoned as all
  these questions were then please bear with us or perhaps even help us
  to
  fix this by suggesting possible improvements.

  A lot of people put a lot of their spare time into volunteering to
  help
  in this answers forum but at the moment their work can only be
  focussed
  on the very newest of questions. Many volunteers can't promise to be
  the 'assigned answerer' because that is making a promise to be able
  to
  solve any side-issues that may crop up, or changes in direction if
  the
  initial problem is caused by something else and also is a promise
  that
  work or family commitments wont take precedence over the voluntary
  work
  in here. Not everyone is available all the time and knows everything
  about ubuntu so should we stop answering those questions we can help
  with?

  I am glad you managed to get your answer fixed (if you did) and that
  you
  think you'll have no further need of launchpad. But if you do have
  any
  other issues in the future then wouldn't you like to know that
  somewhere
  could help you fix it faster?

  Thanks and regards from
  Tom :)

  --
  Encourage answering older questions
  https://bugs.launchpad.net/bugs/393403
  You received this bug notification because you are a direct
  subscriber
  of a duplicate bug.

  Status in Launchpad Answers: Triaged

  Bug description:
  Hi

  Problem.
  Launchpad has no way of dealing with questions that are more than a
  few hours old. Many questions still remain unanswered and 'open'
  even tho we have the skills to solve them. This damages Linux's
  reputation as well as just Ubuntu's. It also forces people to
  repost questions that may be half-way answered or to stop using
  Ubuntu.

  On a football field not all the players are placed in 'striker'
  positions, some are further back and some even play in 'defence'
  and one even right back in the goal! Compare with other team
  games. Also riot police tend to have some units behind their front
  line of shields. Soldiers in the field tend to have some troops
  behind...

Read more...

Revision history for this message
Anatoly (camelclub) wrote :

This is not a bug, which was reported by me. Why I had related to this bug? I even not seen this bug early.

Revision history for this message
Anatoly (camelclub) wrote :

At the other hand, I could answer to this bug, may be more profit or less.

You can use google search engine to find automated answer.

The gist is, therefore, in that, why people go to this site, but ignore many communities with good reputation. May be answer is in those, how to merge community database, related to ubuntu, linux, unix.

And here hidden old my trick:
Ubuntu is a good chois for newb, because it have the best autimatic resolver of hardware problems. Almost all other distributives could use open-source and other drivers too, but solution not so well autmoated.

So, why not to use some programmers to build good hardware drivers installer, which will automate many hardware problems?

And not ask defence question with war analogy to me. It's the other deal.

Revision history for this message
Larry Jordan (larryjor) wrote :
Download full text (3.8 KiB)

     I didn't originally subscribe to this either, but am happy to provide input. This seems to me to be a major issue, involving many aspects. For one thing, having asked questions myself on Launchpad, and not having found the answer through Launchpad, I would say Launchpad itself needs a new button or two. One would say something like "Forget It" (meaning it wasn't that important and can be forgotten) and another MIGHT be used to say "Found answer myself". Another problem is that, as previously pointed out, older questions slip away and are soon forgotten. These should automatically generate an email to the original issuer of the question, asking if he/she wants to continue. If so, perhaps the date could be bumped up or some of the "better subscribers" could be notified about the question still being open. (Those being the ones who solve most issues.) Perhaps the question could be "renewed" (date changed to more recent date, bringing the question back up to the top).
     Personally, I believe that the karma issue brought up in the beginning is a bit of a problem for me. If possible, perhaps Launchpad could track which type of issues each person is good at answering and credit them accordingly, maybe notifying those individuals of future questions on the topic. At the very least, though, karma doesn't amount to much if it's just a number. I would guess more people would pay attention to it if more karma MEANT something, more capabilities or trust when on Launchpad or something.
      In addition to that, seems to me a lot of people never come back to say whether their question was solved or not or provide ANY additional info. Had one guy ask how to set up xsane(?) to use Tessaract (question 82273). I spent days working with him and researching how to help him, and asked specifically if he would come back to tell us how well it worked. I told him I set up gocr to work with xsane, which was easy, but was interested in whether Tessaract would work better. He never returned. I don't know if I solved his issue or not, but would think this would have been a nice type of thing to pass off to, say, Ubuntu Magazine (or some other). Perhaps they could have researched whether my answer was sufficient to set it up, how to do it if I was wrong, and whether it worked any better than gocr or not? Perhaps if they are interested in such, the recognition of being mentioned in a publication might be more inspiration for some than Karma?
     It also occured to me that tracking those who have problems and solve them, asking them to help people who have similar problems, would provide a type of mentoring. As they learn, they take care of problems they have learned how to solve. Copies of their original questions (thus, who helped them) could be provided to them so they could reassign to whoever helped them and the "elder user" could add in "Good job, sounds like you learned something.. I would also like to add...." so that a true family community would be fostered.
     I was also disappointed to find that learning about PPA's and packaging and uploading software that wasn't available in the usual places isn't worth much more than just parti...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers